(******************************************************)
(*                    DIAGDEMO.MOD                    *)
(*    Demo-Programm der Hardware-Diagnose-Tools       *)
(*                  fr Fitted Modula                 *)
(*           (C) 1989 M.Rother & TOOLBOX              *)

MODULE DiagDemo;

  FROM InOut IMPORT WriteLn, WriteCard,
                    WriteString, WriteLongCard;


  FROM Diagnose IMPORT DiskSize, DiskFree, CoProzessor,
                       VideoModus, DosVersion,
                       DosMemory, ExtendedMemory,
                       Ist_AT, Modus, AT;

  VAR Wahr : BOOLEAN;
      Ergebnis : LONGCARD;
      Hei, Lou : CARDINAL;
      Groesse  : CARDINAL;
      Mode     : Modus;


BEGIN
  IF AT = TRUE THEN
    WriteString('Das ist ein AT-kompatibler Rechner.');
    WriteLn;
  ELSE
    WriteString('Das ist ein XT-kompatibler Rechner.');
    WriteLn;
  END;

  Wahr := CoProzessor();
  IF Wahr = TRUE THEN
    WriteString('CoProzessor installiert.');
    WriteLn;
  ELSE
    WriteString('Kein CoProzessor installiert.');
    WriteLn;
  END;

  Ergebnis := DiskSize(3);
  WriteString('Die Festplatte C hat ');
  WriteLongCard(Ergebnis,7);
  WriteString(' Bytes Kapazitt.');
  WriteLn;

  Ergebnis := DiskFree(3);
  WriteString('Davon sind derzeit ');
  WriteLongCard(Ergebnis,7);
  WriteString(' Bytes frei.');
  WriteLn;

  DosVersion(Hei, Lou);
  WriteString('Die DOS-Version ist ');
  WriteCard(Hei,1);
  WriteString('.');
  WriteCard(Lou,2);
  WriteString('.');
  WriteLn;

  Groesse := DosMemory();
  WriteString(
    'Der DOS-Speicher hat eine Groesse von ');
  WriteCard(Groesse,3);
  WriteString(' KBytes.');
  WriteLn;

  Groesse := ExtendedMemory();
  WriteString(
    'Der Extended Speicher hat eine Groesse von ');
  WriteCard(Groesse,4);
  WriteString(' KBytes.');
  WriteLn;

  Mode := VideoModus();
  IF Mode = Farbe THEN
    WriteString('Farbgrafikkarte installiert.');
    WriteLn;
  ELSIF Mode = Mono THEN
    WriteString('Monokarte installiert.');
    WriteLn;
  ELSE
    WriteString('Unbekannte VideoKarte.');
    WriteLn;
  END;
END DiagDemo.
